TEMPLATE = app

TARGET = xmtest

CONFIG += console
CONFIG -= debug_and_release

DEPENDPATH += . minifmod
INCLUDEPATH += .

LIBS += -lwinmm
LIBS += -luser32

# minifmod
HEADERS += \
   minifmod/minifmod.h \
   minifmod/Mixer.h \
   minifmod/mixer_clipcopy.h \
   minifmod/mixer_fpu_ramp.h \
   minifmod/Music.h \
   minifmod/music_formatxm.h \
   minifmod/Sound.h \
   minifmod/system_file.h \
   minifmod/system_memory.h \
   minifmod/xmeffects.h
   
SOURCES += \
   minifmod/Fmusic.c \
   minifmod/Fsound.c \
   minifmod/mixer_clipcopy.c \
   minifmod/mixer_fpu_ramp.c \
   minifmod/music_formatxm.c \
   minifmod/system_file.c

SOURCES += \
	src/main.cpp \
